Subject: Make dependency injection for unit tests possible
Description

Dependency injection should also be possible for unit tests.

History
#1 - 2007-03-04 15:51 - Sebastian Kurfuerst

Do you have a use case for that?

#2 - 2007-03-05 12:21 - Karsten Dambekalns

Yes, e.g. injecting either phpCRJackrabbit_Repository or phpCRTYPO3_Repository into the phpCR unit tests.

#3 - 2007-04-05 14:56 - Robert Lemke

As soon as DI is possible in unit tests, we can get rid of the TYPO3->getComponentManager() method.

#4 - 2007-12-12 16:14 - Robert Lemke
- Status changed from New to Closed
- Sprint set to fixed

(In r398) From now on all unit tests get the component manager injected (see below). Make sure to use the new
base class, then you'll find the component manager in $this->componentManager.

    -  Testing: Further work on the MVC implementation of the TestRunner. Still not finished ...
    -  Testing: Made an instance of the Component Manager accessible by unit tests. Test cases should now extend T3_Testing_BaseTestCase instead
of PHPUnit_Framework_TestCase. Fixes #34.
    -  Framework: (MVC) Added support for automatic resolution of request-type specific views (see ActionController).
    -  Framework: (MVC) Made sure that the TemplateView has prototype scope.

#5 - 2008-07-01 17:24 - Robert Lemke
- Target version deleted (1)
